package org.framework.lazy.cloud.network.heartbeat.common.advanced.flow.proxy;

import org.framework.lazy.cloud.network.heartbeat.common.enums.ChannelFlowEnum;
import org.framework.lazy.cloud.network.heartbeat.common.enums.ChannelProtocolType;
import org.framework.lazy.cloud.network.heartbeat.common.enums.ChannelProxyType;

public interface ChannelProxyFlow {

    /**
     * 通道客户端ID
     *
     * @return 通道客户端ID
     */
    String clientId();

    /**
     * ip
     * @return ip
     */
    String ip();

    /**
     * 通道使用的端口（服务端访客端口、客户端真实端口）
     *
     * @return 端口
     */
    Integer port();

    /**
     * 通道流量类型
     *
     * @return ChannelFlowEnum
     * @see ChannelFlowEnum
     */
    ChannelFlowEnum channelFlowEnum();

    /**
     *  代理流量类型
     * @see ChannelProtocolType
     */
    ChannelProtocolType channelProtocolType();

    /**
     * 代理类型
     * @see ChannelProxyType
     */
    ChannelProxyType channelProxyType();

    /**
     * 流量
     *
     * @return 流量
     */
    Integer flow();
}


