package org.framework.lazy.cloud.network.heartbeat.server.netty.flow.proxy;

import lombok.Builder;
import lombok.Data;
import org.framework.lazy.cloud.network.heartbeat.common.advanced.flow.proxy.ChannelProxyFlow;
import org.framework.lazy.cloud.network.heartbeat.common.enums.ChannelFlowEnum;
import org.framework.lazy.cloud.network.heartbeat.common.enums.ChannelProtocolType;
import org.framework.lazy.cloud.network.heartbeat.common.enums.ChannelProxyType;

@Builder
@Data
public class ServerChannelProxyFlow implements ChannelProxyFlow {
    private String clientId;
    private String ip;
    private Integer port;
    private ChannelFlowEnum channelFlowEnum;
    private ChannelProtocolType channelProtocolType;
    private ChannelProxyType channelProxyType;
    private Integer flow;

    /**
     * 通道客户端ID
     *
     * @return 通道客户端ID
     */
    @Override
    public String clientId() {
        return clientId;
    }

    /**
     * ip
     *
     * @return
     */
    @Override
    public String ip() {
        return ip;
    }

    /**
     * 通道使用的端口（服务端访客端口、客户端真实端口）
     *
     * @return 端口
     */
    @Override
    public Integer port() {
        return port;
    }

    /**
     * 通道流量类型
     *
     * @return ChannelFlowEnum
     * @see ChannelFlowEnum
     */
    @Override
    public ChannelFlowEnum channelFlowEnum() {
        return channelFlowEnum;
    }

    /**
     * 代理流量类型
     *
     * @see ChannelProtocolType
     */
    @Override
    public ChannelProtocolType channelProtocolType() {
        return channelProtocolType;
    }

    /**
     * 代理类型
     *
     * @see ChannelProxyType
     */
    @Override
    public ChannelProxyType channelProxyType() {
        return channelProxyType;
    }

    /**
     * 流量
     *
     * @return 流量
     */
    @Override
    public Integer flow() {
        return flow;
    }
}
