package org.framework.lazy.cloud.network.heartbeat.server.standalone.application;

import org.wu.framework.web.response.Result;
import org.wu.framework.web.response.ResultFactory;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.proxy.per.day.flow.LazyProxyPerDayFlow;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.proxy.per.day.flow.LazyProxyPerDayFlowRemoveCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.proxy.per.day.flow.LazyProxyPerDayFlowStoryCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.proxy.per.day.flow.LazyProxyPerDayFlowUpdateCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.proxy.per.day.flow.LazyProxyPerDayFlowQueryListCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.proxy.per.day.flow.LazyProxyPerDayFlowQueryOneCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.dto.LazyProxyPerDayFlowDTO;
import java.util.List;
import org.wu.framework.lazy.orm.database.lambda.domain.LazyPage;
/**
 * describe 每日统计代理流量 
 *
 * @author Jia wei Wu
 * @date 2025/06/06 11:39 晚上
 * @see org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyApplication 
 **/

public interface LazyProxyPerDayFlowApplication {


    /**
     * describe 新增每日统计代理流量
     *
     * @param lazyProxyPerDayFlowStoryCommand 新增每日统计代理流量     
     * @return {@link Result<LazyProxyPerDayFlow>} 每日统计代理流量新增后领域对象     
     
     * @author Jia wei Wu
     * @date 2025/06/06 11:39 晚上
     **/

    Result<LazyProxyPerDayFlow> story(LazyProxyPerDayFlowStoryCommand lazyProxyPerDayFlowStoryCommand);

    /**
     * describe 批量新增每日统计代理流量
     *
     * @param lazyProxyPerDayFlowStoryCommandList 批量新增每日统计代理流量     
     * @return {@link Result<List<LazyProxyPerDayFlow>>} 每日统计代理流量新增后领域对象集合     
     
     * @author Jia wei Wu
     * @date 2025/06/06 11:39 晚上
     **/

    Result<List<LazyProxyPerDayFlow>> batchStory(List<LazyProxyPerDayFlowStoryCommand> lazyProxyPerDayFlowStoryCommandList);

    /**
     * describe 更新每日统计代理流量
     *
     * @param lazyProxyPerDayFlowUpdateCommand 更新每日统计代理流量     
     * @return {@link Result<LazyProxyPerDayFlow>} 每日统计代理流量领域对象     
     
     * @author Jia wei Wu
     * @date 2025/06/06 11:39 晚上
     **/

    Result<LazyProxyPerDayFlow> updateOne(LazyProxyPerDayFlowUpdateCommand lazyProxyPerDayFlowUpdateCommand);

    /**
     * describe 查询单个每日统计代理流量
     *
     * @param lazyProxyPerDayFlowQueryOneCommand 查询单个每日统计代理流量     
     * @return {@link Result<LazyProxyPerDayFlowDTO>} 每日统计代理流量DTO对象     
     
     * @author Jia wei Wu
     * @date 2025/06/06 11:39 晚上
     **/

    Result<LazyProxyPerDayFlowDTO> findOne(LazyProxyPerDayFlowQueryOneCommand lazyProxyPerDayFlowQueryOneCommand);

    /**
     * describe 查询多个每日统计代理流量
     *
     * @param lazyProxyPerDayFlowQueryListCommand 查询多个每日统计代理流量     
     * @return {@link Result <List<LazyProxyPerDayFlowDTO>>} 每日统计代理流量DTO对象     
     
     * @author Jia wei Wu
     * @date 2025/06/06 11:39 晚上
     **/

    Result <List<LazyProxyPerDayFlowDTO>> findList(LazyProxyPerDayFlowQueryListCommand lazyProxyPerDayFlowQueryListCommand);

    /**
     * describe 分页查询多个每日统计代理流量
     *
     * @param lazyProxyPerDayFlowQueryListCommand 分页查询多个每日统计代理流量     
     * @return {@link Result <LazyPage<LazyProxyPerDayFlowDTO>>} 分页每日统计代理流量DTO对象     
     
     * @author Jia wei Wu
     * @date 2025/06/06 11:39 晚上
     **/

    Result <LazyPage<LazyProxyPerDayFlowDTO>> findPage(int size,int current,LazyProxyPerDayFlowQueryListCommand lazyProxyPerDayFlowQueryListCommand);

    /**
     * describe 删除每日统计代理流量
     *
     * @param lazyProxyPerDayFlowRemoveCommand 删除每日统计代理流量     
     * @return {@link Result<LazyProxyPerDayFlow>} 每日统计代理流量     
     
     * @author Jia wei Wu
     * @date 2025/06/06 11:39 晚上
     **/

    Result<LazyProxyPerDayFlow> remove(LazyProxyPerDayFlowRemoveCommand lazyProxyPerDayFlowRemoveCommand);

}