package org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.proxy.per.day.flow;

import org.wu.framework.web.response.Result;
import org.wu.framework.web.response.ResultFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.proxy.per.day.flow.LazyProxyPerDayFlow;
import java.util.List;
import org.wu.framework.lazy.orm.database.lambda.domain.LazyPage;
/**
 * describe 每日统计代理流量 
 *
 * @author Jia wei Wu
 * @date 2025/06/06 11:39 晚上
 * @see org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyDomainRepository 
 **/

public interface LazyProxyPerDayFlowRepository {


    /**
     * describe 新增每日统计代理流量
     *
     * @param lazyProxyPerDayFlow 新增每日统计代理流量     
     * @return {@link  Result<LazyProxyPerDayFlow>} 每日统计代理流量新增后领域对象     
     
     * @author Jia wei Wu
     * @date 2025/06/06 11:39 晚上
     **/

    Result<LazyProxyPerDayFlow> story(LazyProxyPerDayFlow lazyProxyPerDayFlow);

    /**
     * describe 批量新增每日统计代理流量
     *
     * @param lazyProxyPerDayFlowList 批量新增每日统计代理流量     
     * @return {@link Result<List<LazyProxyPerDayFlow>>} 每日统计代理流量新增后领域对象集合     
     
     * @author Jia wei Wu
     * @date 2025/06/06 11:39 晚上
     **/

    Result<List<LazyProxyPerDayFlow>> batchStory(List<LazyProxyPerDayFlow> lazyProxyPerDayFlowList);

    /**
     * describe 查询单个每日统计代理流量
     *
     * @param lazyProxyPerDayFlow 查询单个每日统计代理流量     
     * @return {@link Result<LazyProxyPerDayFlow>} 每日统计代理流量DTO对象     
     
     * @author Jia wei Wu
     * @date 2025/06/06 11:39 晚上
     **/

    Result<LazyProxyPerDayFlow> findOne(LazyProxyPerDayFlow lazyProxyPerDayFlow);

    /**
     * describe 查询多个每日统计代理流量
     *
     * @param lazyProxyPerDayFlow 查询多个每日统计代理流量     
     * @return {@link Result<List<LazyProxyPerDayFlow>>} 每日统计代理流量DTO对象     
     
     * @author Jia wei Wu
     * @date 2025/06/06 11:39 晚上
     **/

    Result<List<LazyProxyPerDayFlow>> findList(LazyProxyPerDayFlow lazyProxyPerDayFlow);

    /**
     * describe 分页查询多个每日统计代理流量
     *
     * @param size 当前页数
     * @param current 当前页
     * @param lazyProxyPerDayFlow 分页查询多个每日统计代理流量     
     * @return {@link Result<LazyPage<LazyProxyPerDayFlow>>} 分页每日统计代理流量领域对象     
     
     * @author Jia wei Wu
     * @date 2025/06/06 11:39 晚上
     **/

    Result<LazyPage<LazyProxyPerDayFlow>> findPage(int size,int current,LazyProxyPerDayFlow lazyProxyPerDayFlow);

    /**
     * describe 删除每日统计代理流量
     *
     * @param lazyProxyPerDayFlow 删除每日统计代理流量     
     * @return {@link Result<LazyProxyPerDayFlow>} 每日统计代理流量     
     
     * @author Jia wei Wu
     * @date 2025/06/06 11:39 晚上
     **/

    Result<LazyProxyPerDayFlow> remove(LazyProxyPerDayFlow lazyProxyPerDayFlow);

    /**
     * describe 是否存在每日统计代理流量
     *
     * @param lazyProxyPerDayFlow 是否存在每日统计代理流量     
     * @return {@link Result<Boolean>} 每日统计代理流量是否存在     
     
     * @author Jia wei Wu
     * @date 2025/06/06 11:39 晚上
     **/

    Result<Boolean> exists(LazyProxyPerDayFlow lazyProxyPerDayFlow);

}