package org.framework.lazy.cloud.network.heartbeat.server.standalone.infrastructure.converter;

import org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.proxy.per.day.flow.LazyProxyPerDayFlow;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.infrastructure.entity.LazyProxyPerDayFlowDO;
import org.wu.framework.core.mapper.LazyMappers;
import org.wu.framework.core.mapper.LazyMapper;
/**
 * describe 每日统计代理流量 
 *
 * @author Jia wei Wu
 * @date 2025/06/06 11:39 晚上
 * @see org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyInfrastructureConverter 
 **/
@LazyMapper
public interface LazyProxyPerDayFlowConverter {


    /**
     * describe MapStruct 创建的代理对象
     *
     
     
     
     * @author Jia wei Wu
     * @date 2025/06/06 11:39 晚上
     **/
    LazyProxyPerDayFlowConverter INSTANCE = LazyMappers.getMapper(LazyProxyPerDayFlowConverter.class);
    /**
     * describe 实体对象 转换成领域对象
     *
     * @param lazyProxyPerDayFlowDO 每日统计代理流量实体对象     
     * @return {@link LazyProxyPerDayFlow} 每日统计代理流量领域对象     
     
     * @author Jia wei Wu
     * @date 2025/06/06 11:39 晚上
     **/
    LazyProxyPerDayFlow toLazyProxyPerDayFlow(LazyProxyPerDayFlowDO lazyProxyPerDayFlowDO);
    /**
     * describe 领域对象 转换成实体对象
     *
     * @param lazyProxyPerDayFlow 每日统计代理流量领域对象     
     * @return {@link LazyProxyPerDayFlowDO} 每日统计代理流量实体对象     
     
     * @author Jia wei Wu
     * @date 2025/06/06 11:39 晚上
     **/
     LazyProxyPerDayFlowDO fromLazyProxyPerDayFlow(LazyProxyPerDayFlow lazyProxyPerDayFlow); 
}